package cn.sh.stc.sict.cloud.upms.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统角色表
 *
 * @author F_xh
 * @date 2021-01-07 09:26:01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hp_role")
public class HpRole extends Model<HpRole> {
    private static final long serialVersionUID = 1L;

    /**
     * 角色id
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "角色id")
    private Long id;
    /**
     * 机构id
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "机构id")
    private Long orgId;
    /**
     * 机构名称
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "机构名称")
    private String orgName;
    /**
     * 模块名称
     */
    @ApiModelProperty(value = "模块名称")
    private String moduleName;
    /**
     * 角色名成
     */
    @ApiModelProperty(value = "角色名成")
    private String roleName;
    /**
     * 角色编码
     */
    @ApiModelProperty(value = "角色编码")
    private String roleCode;
    /**
     * 数据权限（1-平台，2-机构/医院，3-科室）
     */
    @ApiModelProperty(value = "数据权限（1-平台，2-机构/医院，3-科室）")
    private Byte dataPerm;
    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sortIdx;
    /**
     * 角色状态：0-正常，1-禁用
     */
    @ApiModelProperty(value = "角色状态：0-正常，1-禁用")
    private Byte status;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Long createUserId;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private String createUserName;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Date createTime;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Long updateUserId;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private String updateUserName;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
