package cn.sh.stc.sict.cloud.upms.model;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统基础用户表
 *
 * @author F_xh
 * @date 2020-12-27 10:34:32
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hp_user_base")
public class SysUserBase extends Model<SysUserBase> {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId
    @ApiModelProperty(value = "用户id")
    private Long id;

    /**
     * 公众号appId
     */
    private String appId;

    private String openId;

    /**
     * 机构id
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "机构id")
    private Long orgId;
    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idCard;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String name;
    /**
     * 登录账号
     */
    @ApiModelProperty(value = "登录账号")
    private String userName;
    /**
     * 昵称
     */
    @ApiModelProperty(value = "昵称")
    private String nickname;
    /**
     * 邮箱
     */
    @ApiModelProperty(value = "邮箱")
    private String email;
    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phone;
    /**
     * 性别：1-男，2-女
     */
    @ApiModelProperty(value = "性别：1-男，2-女")
    private Byte sex;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String headimg;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String passwd;
    /**
     * 账号状态：0-正常，1-禁用
     */
    @ApiModelProperty(hidden = true, value = "账号状态：0-正常，1-禁用")
    private Byte status;

    /**
     * 来源
     */
    private String source;
    /**
     *
     */
    @ApiModelProperty(hidden = true, value = "")
    private Date lastLoginTime;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Long createUserId;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private String createUserName;
    /**
     *
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Date createTime;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Long updateUserId;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private String updateUserName;
    /**
     *
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "")
    private Date updateTime;

    private Date lastPwdTime;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
